【活用ガイド】

JVNDB-2013-005979

MSM デバイス用 Qualcomm Innovation Center Android コントリビューションなどで使用される Linux Kernel 用 MSM カメラドライバにおけるバッファオーバーフローの脆弱性

概要

MSM デバイス用 Qualcomm Innovation Center (QuIC) Android コントリビューション、およびその他の製品で使用される Linux Kernel 3.x 用 MSM カメラドライバには、以下に関する処理に不備があるため、バッファオーバーフローの脆弱性が存在します。

(1) drivers/media/platform/msm/camera_v2/pproc/vpe/msm_vpe.c
(2) drivers/media/platform/msm/camera_v2/pproc/cpp/msm_cpp.c
CVSS による深刻度 (CVSS とは?)

基本値: 7.2 (危険) [NVD値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的

影響を受けるシステム


Android for MSM
  • Android for MSM 2.6.29
クアルコム
  • QuIC Mobile Station Modem 3.4

想定される影響

攻撃者により、以下の項目を介して、権限を取得される可能性があります。

(1) 巧妙に細工された VIDIOC_MSM_VPE_DEQUEUE_STREAM_BUFF_INFO ioctl コール
(2) 巧妙に細工された VIDIOC_MSM_CPP_DEQUEUE_STREAM_BUFF_INFO ioctl コール
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

クアルコム
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2013-4738
参考情報

  1. National Vulnerability Database (NVD) : CVE-2013-4738
更新履歴

[2014年02月05日]
  掲載